API reference · Platform

Webhook subscriptions

Outbound, signed webhooks — subscribe, test, inspect deliveries, redeliver.

Base URL https://app.upfour.io/v1 · auth via Authorization: Bearer <key> · “Try it” runs from your browser — the key is kept in this tab only. Use a pls_test_ sandbox key to experiment freely.

GET /webhook-subscriptions

scope webhook.write beta returns 200

ParameterInTypeNotes
limit query integer default 50
cursor query string
client_id query uuid
all_clients query boolean
q query string
sort query string
curl -s https://app.upfour.io/v1/webhook-subscriptions \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /webhook-subscriptions

scope webhook.write beta returns 201

curl -s -X POST https://app.upfour.io/v1/webhook-subscriptions \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /webhook-subscriptions/{subscriptionID}

scope webhook.write beta returns 200

ParameterInTypeNotes
subscriptionIDrequired path uuid
curl -s -X PUT https://app.upfour.io/v1/webhook-subscriptions/<subscriptionID> \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /webhook-subscriptions/{subscriptionID}

scope webhook.write beta returns 204

ParameterInTypeNotes
subscriptionIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/webhook-subscriptions/<subscriptionID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /webhook-subscriptions/{subscriptionID}/deliveries

scope webhook.read beta returns 200

ParameterInTypeNotes
subscriptionIDrequired path uuid
curl -s https://app.upfour.io/v1/webhook-subscriptions/<subscriptionID>/deliveries \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /webhook-subscriptions/{subscriptionID}/redeliver/{deliveryID}

scope webhook.write beta returns 202

ParameterInTypeNotes
subscriptionIDrequired path uuid
deliveryIDrequired path uuid
curl -s -X POST https://app.upfour.io/v1/webhook-subscriptions/<subscriptionID>/redeliver/<deliveryID> \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /webhook-subscriptions/{subscriptionID}/test

scope webhook.write beta returns 202

ParameterInTypeNotes
subscriptionIDrequired path uuid
curl -s -X POST https://app.upfour.io/v1/webhook-subscriptions/<subscriptionID>/test \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.